
%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[a0b,portrait]{a0poster}
\usepackage{hyperref}
\usepackage{multicol} % This is so we can have multiple columns of text side-by-side
\columnsep=100pt % This is the amount of white space between the columns in the poster
\columnseprule=3pt % This is the thickness of the black line between the columns in the poster

\usepackage[svgnames]{xcolor} % Specify colors by their 'svgnames', for a full list of all colors available see here: http://www.latextemplates.com/svgnames-colors

\usepackage{times} % Use the times font
%\usepackage{palatino} % Uncomment to use the Palatino font

\usepackage{graphicx} % Required for including images
% \graphicspath{{figures/}} % Location of the graphics files
\usepackage{booktabs} % Top and bottom rules for table
\usepackage[font=small,labelfont=bf]{caption} % Required for specifying captions to tables and figures
\usepackage{amsfonts, amsmath, amsthm, amssymb} % For math fonts, symbols and environments
\usepackage{wrapfig} % Allows wrapping text around tables and figures

\begin{document}

\begin{minipage}{\linewidth}
\centering
\VeryHuge \color{NavyBlue} \textbf{IoT-Based Garbage Management Information System} \color{Black}\\% Title
\Huge\textit{Support Vector Regression for Time Series Prediction}\\[1cm] % Subtitle
\huge \textbf{Yuanhui Yang\authorrefmark{1}, Xu Teng\authorrefmark{2}, Baiyu Yang\authorrefmark{3} and Weiyi Zeng\authorrefmark{4}}\\[0.5cm] % Author(s)
\huge Department of Electrical Engineering and Computer Science, Northwestern University\\[0.4cm] % University/organization
\Large \texttt{\{YuanhuiYang2015\authorrefmark{1}, XuTeng2015\authorrefmark{2}, BaiyuYang2017\authorrefmark{3} and WeiyiZeng2015\authorrefmark{4}\}@u.northwestern.edu}\\
\end{minipage}

\vspace{1cm} % A bit of extra whitespace between the header and poster content

%----------------------------------------------------------------------------------------

\begin{multicols}{3} % This is how many columns your poster will be broken into, a portrait poster is generally split into 2 columns

\color{Navy} % Navy color for the abstract

\begin{abstract}
\noindent{}As the 3rd part of Garbage Collection Management System, it focuses on data analysis and time series prediction for information management. It aims to provide a website-based data visualization platform and data mining implementation based on support vector regression technology. As for data visualization, a website (\href{http://smartgarbagerecycle.com/}{smartgarbagerecycle.com}) is built to monitor and record the up-to-date garbage status in the City of Evanston in Illinois. As for data mining, a time series prediction using support vector regression is implemented. As for forthcoming research, the Support Vector Regression Application Programming Interface (API) and the optimized route plan based on the above works will be offered.
\end{abstract}

\color{Black} % SaddleBrown color for the introduction

\section*{Introduction}
The Internet of Things (IoT) is a concept in which surrounding objects are connected through wired and wireless networks without user intervention. Garbage management is a primary issue in modern cities. The absence of efficient garbage management information method has caused serious environmental problems and cost issues. As a major application field of IoT, it is providing such an economically efficient garbage management solution.

\color{Black} % DarkSlateGray color for the rest of the content
\section*{Support Vector Regression for Time Series Prediction}
\subsection*{Overview}
Implement Time Series Prediction using Support Vector Regression. Support Vector Regression is one well-known and relatively excellent regression method. Not only performing linear regression, Support Vector Regression can efficiently perform a non-linear regression using kernel trick, implicitly mapping their inputs into high-dimensional feature spaces. Kernel trick includes Linear Function, Radial Basis Function (RBF) and Sigmoid Function. In this research, these 3 kernels will be implemented and compared.
\subsection*{Problem}
Given $0^{th}$ day to $\left(n - 1\right)^{th}$ day time series array $a\left[n\right]$ and then return its next $r$ days data $\hat{a}\left[r\right]$
\begin{itemize}
\item INPUT: $a\left[n\right] = \left[a_0, a_1, …, a_{n - 1}\right]$
\item OUTPUT: $\hat{a}\left[r\right] = \left[a_{n}, a_{n + 1}, \cdots, a_{n + r - 1}\right]$
\end{itemize}
\subsection*{Support Vector Regression}
Given training vectors $\vec{x_i} \in \mathbb{R}^p$, where $i = 0, \cdots, n - 1$ and a vector $y \in \mathbb{R}^n$ $\varepsilon$-SVR solves the following primal problem:
\begin{equation}
\min\limits_{\omega, b, \zeta, \zeta^*}\dfrac{1}{2}\omega^T\omega + C \sum \limits_{0}^{n - 1}{\left(\zeta_i + \zeta_i^*\right)}
\end{equation}
subject to:
\begin{equation}
\left\{
\begin{array}{rcl}
y_i - \omega^T\phi\left(x_i\right) - b & \le & \varepsilon + \zeta_i\\
\omega^T\phi\left(x_i\right) + b - y_i & \le & \varepsilon + \zeta_i^*\\
\zeta_i, \zeta_i^* & \ge & 0\\
\end{array}
\right.
\end{equation}
Its dual is:
\begin{equation}
\min\limits_{\alpha, \alpha^*}\dfrac{1}{2}\left(\alpha - \alpha^*\right)^T Q\left(\alpha - \alpha^*\right) + \varepsilon e^T \left(\alpha + \alpha^*\right) - y ^ T \left(\alpha - \alpha^*\right)
\end{equation}
subject to:
\begin{equation}
\left\{
\begin{array}{rcl}
\varepsilon e^T \left(\alpha - \alpha^*\right) & = & 0\\
0 \le & \alpha, \alpha^* & \le C\\
\end{array}
\right.
\end{equation}
where $e$ is the vector of all ones, $C > 0$ is the upper bound, $Q$ is an $n$ by $n$ positive semidefinite matrix,
$Q_{ij} \equiv K\left(x_i, x_j\right) = \phi \left(x_i\right)^T \phi \left(x_j\right)$ is the kernel. Here training vectors are implicitly mapped into a higher (maybe infinite) dimensional space by the function $\phi$.
The decision function is:
\begin{equation}
\sum_{i=0}^{n-1} \left(\alpha_i - \alpha_i^*\right) K\left(x_i, x\right) + \rho
\end{equation}
\subsection*{Algorithm Design}
\paragraph*{Standardization}
Standardization of a dataset is a common requirement for many machine learning estimators. Centering and scaling happen independently on each feature by computing the relevant statistics on the samples in the training set. Mean and standard deviation are then stored to be used on later data using the transform method.

\paragraph*{Learning}
\begin{enumerate}
\item $\left[a_0, a_1, \cdots, a_{k - 1}\right]$ is able to determine $a_{k}$;
\item $\left[a_1, a_2, \cdots, a_{k}\right]$ is able to determine $a_{k + 1}$;
\item $\left[a_2, a_3, \cdots, a_{k + 1}\right]$ is able to determine $a_{k + 2}$;
\item $\cdots$
\end{enumerate}
That is,
\begin{equation}
\left\{
\begin{array}{rcl}
a_{k} & \Leftarrow & \left[a_0, a_1, \cdots, a_{k - 1}\right]\\
a_{k + 1} & \Leftarrow & \left[a_1, a_2, \cdots, a_{k}\right]\\
a_{k + 2} & \Leftarrow & \left[a_2, a_3, \cdots, a_{k + 1}\right]\\
\cdots & \cdots & \cdots\\
a_{n - 1} & \Leftarrow & \left[a_{n - 2 - \left(k - 1\right)}, a_{n - 1 - \left(k - 1\right)}, \cdots, a_{n - 2}\right]\\
\end{array}
\right.
\end{equation}
\paragraph*{Cross-validation}
Learning the parameters of a prediction function and testing it on the same data is a methodological mistake: a model that would just repeat the labels of the samples that it has just seen would have a perfect score but would fail to predict anything useful on yet-unseen data. This situation is called overfitting. To avoid it, cross-validation is common practice.
\paragraph*{Prediction}
Similar to the above learning work,
\begin{enumerate}
\item $\left[a_{n - 1 - \left(k - 1\right)}, a_{n - \left(k - 1\right)}, \cdots, a_{n - 1}\right]$ is able to predict $a_{n}$;
\item $\left[a_{n - \left(k - 1\right)}, a_{n + 1 - \left(k - 1\right)}, \cdots, a_{n}\right]$ is able to predict $a_{n + 1}$;
\item $\cdots$
\item $\left[a_{n + r - 2 - \left(k - 1\right)}, a_{n + r - 1 - \left(k - 1\right)}, \cdots, a_{n + r - 2}\right]$ is able to predict $a_{n + r - 1}$.
\end{enumerate}
That is,
\begin{equation}
\left\{
\begin{array}{rcl}
\left[a_{n - 1 - \left(k - 1\right)}, a_{n - \left(k - 1\right)}, \cdots, a_{n - 1}\right] & \Rightarrow & a_{n}\\
\left[a_{n - \left(k - 1\right)}, a_{n + 1 - \left(k - 1\right)}, \cdots, a_{n}\right] & \Rightarrow & a_{n + 1}\\
\cdots & \cdots & \cdots \\
\left[a_{n + r - 2 - \left(k - 1\right)}, a_{n + r - 1 - \left(k - 1\right)}, \cdots, a_{n + r - 2}\right] & \Rightarrow & a_{n + r - 1} \\
\end{array}
\right.
\end{equation}
\section*{Experimental Results}
This research develops 3 kinds of Support Vector Regression (SVR) Application Program Interface (API), Linear-SVR and RBF-SVR as well as Sigmoid-SVR. Of these SVRs, Linear-SVR and RBF-SVR are popular, and this research compare the two with Sigmoid-SVR in terms of robust and accuracy.
\begin{center}
\includegraphics[width=\linewidth]{sigmoid-SVR.eps}
\captionof{figure}{Sigmoid kernel - Support Vector Regression}
\end{center}
\begin{center}
\includegraphics[width=\linewidth]{linear-SVR.eps}
\captionof{figure}{Linear kernel - Support Vector Regression}
\end{center}
\begin{center}
\includegraphics[width=\linewidth]{rbf-SVR.eps}
\captionof{figure}{RBF kernel - Support Vector Regression}
\end{center}

\color{SaddleBrown} % SaddleBrown color for the conclusions to make them stand out

\section*{Conclusions}
Comparing with Linear-SVR and RBF-SVR, Sigmoid-SVR owns the strongest robust property and excellent prediction accuracy.

\color{black}
\section*{Website}
\subsection*{Overview}
A fully functional hosted website, smartphone friendly and resizable to fit any size screen. Clean and neat UI design to introduce smart garbage recycle system from hardware to software, from sensors to backend server all the way to the database and frontend development.

\begin{center}
% \begin{minipage}{0.495\linewidth}
\includegraphics[width=\linewidth]{home.PNG}
\captionof{figure}{Homepage of smartgarbagerecycle.com}
% \end{minipage}
% \hfill
% \begin{minipage}{0.495\linewidth}
% \includegraphics[width=\linewidth]{home-mobile.png}
% \captionof{figure}{Homepage of smartgarbagerecycle.com}
% \end{minipage}
\end{center}
% \begin{center}
% \begin{minipage}{0.495\linewidth}
% \includegraphics[width=\linewidth]{home.PNG}
% \captionof{figure}{Homepage of smartgarbagerecycle.com}
% \end{minipage}
% \hfill
% \begin{minipage}{0.495\linewidth}
% \includegraphics[width=\linewidth]{home-mobile.png}
% \captionof{figure}{Homepage of smartgarbagerecycle.com}
% \end{minipage}
% \end{center}
Implement data visualization using WP-Table technology. Allow displaying real time data, applying different filters to narrow down searching range. Note that this website is mobile friendly. The following 2 screenshots are taken on mobile.
\begin{center}
% \begin{minipage}{0.495\linewidth}
% \includegraphics[width=\linewidth]{database01.PNG}
% \captionof{figure}{Filter,save and print out the search result into csv file, excel file or pdf file.}
% \end{minipage}\hfill
% \begin{minipage}{0.495\linewidth}
\includegraphics[width=0.85\linewidth]{database01-mobile.png}
\captionof{figure}{Filter,save and print out the search result into csv file, excel file or pdf file.}
% \end{minipage}
\end{center}
Easy to check current status and history data of any garbage can at certain location including the information of garbage can id, time, dectile.
\begin{center}
% \begin{minipage}{0.495\linewidth}
\includegraphics[width=0.85\linewidth]{database02.PNG}
\captionof{figure}{Review history garbage data according to garbage ID, time, and dectile}
% \end{minipage}\hfill
% \begin{minipage}{0.495\linewidth}
% \includegraphics[width=\linewidth]{database02-mobile.png}
% \captionof{figure}{Review history garbage data according to garbage ID, time, and dectile}
% \end{minipage}
\end{center}
Potentially check garbage can status on map.
\begin{center}
\includegraphics[width=\linewidth]{status.PNG}
\captionof{figure}{Check garbage can status on map}
\end{center}

\color{Black} % Set the color back to DarkSlateGray for the rest of the content

\section*{Forthcoming Research}
\begin{enumerate}
\item To retrieve real-time data from database and showing different form of data visualization.
\item To generate another layer on the current map and mark the garbage cans such that data could be directly checked on the map.
\item To improve the accuracy of prediction and combine the information from current recycle schedule, more collection data to do route planning. 
\end{enumerate}

\end{multicols}
\end{document}
